//========================================================================================
//
//	File:				FWLibMai.h
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifdef FW_BUILD_WIN

#include <Windows.h>

// prevent LibMain from being mangled

extern "C"
{
#ifdef FW_BUILD_WIN16
	BOOL CALLBACK LibMain(HANDLE	hInstance,
						  WORD		wDataSeg,
						  WORD		cbHeap,
						  LPSTR		lpszCmdLine);
#endif
#ifdef FW_BUILD_WIN32S
	BOOL WINAPI DllMain(HANDLE	hDLL,
						DWORD	dwReason,
						LPVOID	lpReserved);
	void _cinit();			// static constructors
	void _dodtors();		// static destructors
#endif
};

#ifdef FW_BUILD_WIN16
//----------------------------------------------------------------------------------------
// LibMain
//----------------------------------------------------------------------------------------
BOOL CALLBACK LibMain(HANDLE 		hInstance,
					  WORD		/* wDataSeg		*/,
					  WORD		/* cbHeap		*/,
					  LPSTR		/* lpszCmdLine	*/)
{
	return hInstance != NULL;
}
#endif

#ifdef FW_BUILD_WIN32S

#pragma DOSSEG
#pragma startaddress(DllMain)

//----------------------------------------------------------------------------------------
// DllMain
//----------------------------------------------------------------------------------------
BOOL WINAPI DllMain(HANDLE	/* hDLL			*/,
					DWORD		dwReason,
					LPVOID	/* lpReserved	*/)
{
	if(dwReason == DLL_PROCESS_ATTACH)
		_cinit();
	else if(dwReason == DLL_PROCESS_DETACH)
		_dodtors();

	return TRUE;
}
#endif
 
#endif
