//========================================================================================
//
//	File:				FWWep.cpp
//	Release Version:	$ 1.0d1 $
//
//	Creation Date:		3/28/94
//
//	Copyright:	 1993, 1994 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#if defined(BR_BUILD_WIN) && !defined(BR_BUILD_WIN32S) && !defined(BR_BUILD_WINNT)

/*

Some notes on WEP's that are not in the manuals:

 o	Some of the examples in the documentastion include the RESIDENTNAME
	attribute on the WEP exports.  Althought documentation does not say so,
	this is required.

 o	Although the documentation says that WEP's have no return valus, they really
	do.  WEP's return a sucess/failure code: 1 of OK, 0 if failed.  What windows
	does if a WEP fails is unknown.

 o	When a WEP is called when that calling application terminates (as opposed to
	an UnloadLibrary call) it is called on a very small kernel stack.  There is
	not enough space on this stack for the kernel to swap in a new segment.  Can
	you say "kernel bug"?  Therefore WEP's must be in FIXED PRELOAD segments and
	must be *extremly* cautious with stack usage.  The actual amount of stack
	remaining is not known.

This information is from Microsoft technical support.
*/


#ifdef CCOVER
#  pragma cov-
#endif

// Make sure WEP doesn't get mangled

extern "C"
{
  int  _far _pascal  WEP(int sys_exit);

#ifdef CCOVER
  int  _far _cdecl   atexit(void);
  void _far _cdecl   cov_write(void);
#endif
};


int _far _pascal WEP(int sys_exit)
{
#ifdef CCOVER
    cov_write();
#endif

    return(1);
}

#ifdef CCOVER
int _far _cdecl atexit(void)
{
    return(0);
}
#endif

#endif
